Bug 470291 - ERROR with rpm_check_debug vs depsolve: Cannot update as libdb-4.{3|6}.so()(64bit) are needed by installed packages
ERROR with rpm_check_debug vs depsolve: Cannot update as libdb-4.{3|6}.so()(6...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
10
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 10:36 EST by Alexander Dutton
Modified: 2014-01-21 18:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 21:19:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Yum output for "yum update --skip-broken" (7.23 KB, text/plain)
2008-11-06 10:36 EST, Alexander Dutton
no flags Details
Output of "yum list all" (1.19 MB, text/plain)
2008-11-06 10:38 EST, Alexander Dutton
no flags Details
Yum output for " yum update -d 7 --skip-broken -y" (117.88 KB, text/plain)
2008-11-10 18:30 EST, Alexander Dutton
no flags Details

  None (edit)
Description Alexander Dutton 2008-11-06 10:36:45 EST
Created attachment 322741 [details]
Yum output for "yum update --skip-broken"

Description of problem:

yum update --skip-broken fails with the following error:

> Running rpm_check_debug
> ERROR with rpm_check_debug vs depsolve:
> libdb-4.3.so()(64bit) is needed by (installed) cyrus-sasl-lib-2.1.22-18.fc10.x86_64
> libdb-4.6.so()(64bit) is needed by (installed) rapidsvn-0.9.6-3.fc10.x86_64
> Complete!
> (1, [u'Please report this error in bugzilla'])


Version-Release number of selected component (if applicable):

yum.noarch                         3.2.20-3.fc10          installed
cyrus-sasl-lib.x86_64              2.1.22-18.fc10         installed
cyrus-sasl-lib.i386                2.1.22-19.fc10         installed
cyrus-sasl-lib.x86_64              2.1.22-19.fc10         installed
rapidsvn.x86_64                    0.9.6-3.fc10           installed
compat-db.x86_64                   4.6.21-4.fc10          installed
    (providing "libdb-4.3.so()(64bit)")
compat-db.x86_64                   4.6.21-5.fc10          rawhide
    (providing "libdb-4.6.so()(64bit)")
compat-db46.x86_64                 4.6.21-5.fc10          rawhide
    (providing "libdb-4.6.so()(64bit)")


How reproducible:

Have packages installed as per the attached.
Perform "yum update --skip-broken"


Actual results:

The poor mite falls over.


Expected results:

Things proceed smoothly and I have an up-to-date system.
Comment 1 Alexander Dutton 2008-11-06 10:38:23 EST
Created attachment 322742 [details]
Output of "yum list all"
Comment 2 Tim Lauridsen 2008-11-07 01:13:06 EST
Please check this one
https://bugzilla.redhat.com/show_bug.cgi?id=468785#c15
Comment 3 Alexander Dutton 2008-11-10 18:29:25 EST
Replacing /usr/lib/python2.5/site-packages/yum/__init__.py as per https://bugzilla.redhat.com/show_bug.cgi?id=468785#c20 produces the output I'm about to attach, which seems to fix the issue. I imagine the transaction check error is now a packaging issue ;-).

Thanks for your help!
Comment 4 Alexander Dutton 2008-11-10 18:30:33 EST
Created attachment 323133 [details]
Yum output for " yum update -d 7 --skip-broken -y"
Comment 5 Tim Lauridsen 2008-11-11 01:32:26 EST
i look like it solves part of the error, but introduces a new one by 
pulling in the i386 version of the already skipped compat-db45.x86_64.
I have to dig a little deeper to fix this one.
Comment 6 Tim Lauridsen 2008-11-11 02:20:07 EST
Could you please replace /usr/lib/python2.5/site-packages/yum/__init__.py
again and retest.
Comment 8 Bug Zapper 2008-11-25 23:53:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Alexander Dutton 2008-12-06 20:28:36 EST
This bug seems to have disappeared at some point; I'm not quite sure where. For reference, my current yum version is now 3.2.20-4 (it was previously 3.2.20-3).

I imagine given its new lack of reproducibility, this should now be closed?

Many thanks for your help in trying to track it down (and I assume fixing it too).
Comment 10 Fedora Update System 2009-01-12 14:20:10 EST
yum-3.2.21-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yum-3.2.21-2.fc10
Comment 11 Fedora Update System 2009-01-12 14:27:47 EST
yum-3.2.21-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/yum-3.2.21-2.fc9
Comment 12 Fedora Update System 2009-01-14 22:00:19 EST
yum-3.2.21-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update yum'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0460
Comment 13 Fedora Update System 2009-01-14 22:09:25 EST
yum-3.2.21-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0562
Comment 14 Fedora Update System 2009-02-04 21:18:26 EST
yum-3.2.21-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-02-04 21:25:25 EST
yum-3.2.21-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.